> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a porting activation job

> Returns a porting activation job.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-activation.yml get /porting_orders/{id}/activation_jobs/{activationJobId}
openapi: 3.1.0
info:
  title: Telnyx Porting Activation API
  version: 2.0.0
  description: API for porting activation jobs, exceptions, and sub requests.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/{id}/activation_jobs/{activationJobId}:
    get:
      tags:
        - Porting Orders
      summary: Retrieve a porting activation job
      description: Returns a porting activation job.
      operationId: GetPortingOrdersActivationJob
      parameters:
        - $ref: '#/components/parameters/PathPortingOrderID'
        - $ref: '#/components/parameters/PathPortingOrdersActivationJobID'
      responses:
        '200':
          $ref: '#/components/responses/ShowPortingOrdersActivationJob'
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable entity. Check message field in response for details.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const activationJob = await
            client.portingOrders.activationJobs.retrieve(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              { id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
            );


            console.log(activationJob.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            activation_job = client.porting_orders.activation_jobs.retrieve(
                activation_job_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(activation_job.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tactivationJob, err := client.PortingOrders.ActivationJobs.Get(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.PortingOrderActivationJobGetParams{\n\t\t\tID: \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", activationJob.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.activationjobs.ActivationJobRetrieveParams;

            import
            com.telnyx.sdk.models.portingorders.activationjobs.ActivationJobRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActivationJobRetrieveParams params = ActivationJobRetrieveParams.builder()
                        .id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .activationJobId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .build();
                    ActivationJobRetrieveResponse activationJob = client.portingOrders().activationJobs().retrieve(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            activation_job = telnyx.porting_orders.activation_jobs.retrieve(
              "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
            )

            puts(activation_job)
        - lang: CLI
          source: |-
            telnyx porting-orders:activation-jobs retrieve \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
              --activation-job-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  parameters:
    PathPortingOrderID:
      name: id
      description: Porting Order id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    PathPortingOrdersActivationJobID:
      name: activationJobId
      description: Activation Job Identifier
      in: path
      required: true
      schema:
        type: string
        format: uuid
  responses:
    ShowPortingOrdersActivationJob:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/PortingOrdersActivationJob'
  schemas:
    PortingOrdersActivationJob:
      type: object
      properties:
        id:
          description: Uniquely identifies this activation job
          type: string
          format: uuid
          example: f1486bae-f067-460c-ad43-73a92848f902
          readOnly: true
        status:
          type: string
          description: Specifies the status of this activation job
          enum:
            - created
            - in-process
            - completed
            - failed
        activation_type:
          type: string
          description: Specifies the type of this activation job
          enum:
            - scheduled
            - on-demand
        activate_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 formatted date indicating when the activation job should be
            executed. This time should be between some activation window.
          example: '2021-03-19T10:07:15.527Z'
        activation_windows:
          type: array
          description: List of allowed activation windows for this activation job
          items:
            type: object
            properties:
              start_at:
                type: string
                format: date-time
                description: >-
                  ISO 8601 formatted date indicating when the activation window
                  starts
                example: '2021-03-19T10:07:15.527Z'
              end_at:
                type: string
                format: date-time
                description: >-
                  ISO 8601 formatted date indicating when the activation window
                  ends
                example: '2021-03-19T10:07:15.527Z'
        record_type:
          type: string
          example: porting_activation_job
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527Z'
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527Z'
          readOnly: true
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````